<?xml version="1.0"?>
<!DOCTYPE benchmark PUBLIC "+//IDN sosy-lab.org//DTD BenchExec benchmark 1.9//EN" "https://www.sosy-lab.org/benchexec/benchmark-2.3.dtd">
<benchmark tool="nitwit" timelimit="90 s" hardtimelimit="96 s" memlimit="7 GB" cpuCores="2">

    <require cpuModel="Intel Xeon E3-1230 v5 @ 3.40 GHz"/>

    <resultfiles>**/*.graphml</resultfiles>

    <rundefinition name="SV-COMP23_unreach-call">
        <requiredfiles>../results-verified/LOGDIR/${rundefinition_name}/${taskdef_name}/witness.graphml</requiredfiles>
        <option name="-w">../../results-verified/LOGDIR/${rundefinition_name}/${taskdef_name}/witness.graphml</option>
        <!-- <option name="-rf">output/refined.witness.graphml</option> -->

        <tasks name="ReachSafety-Arrays">
            <includesfile>../sv-benchmarks/c/ReachSafety-Arrays.set</includesfile>
            <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
        </tasks>
        <tasks name="ReachSafety-BitVectors">
            <includesfile>../sv-benchmarks/c/ReachSafety-BitVectors.set</includesfile>
            <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
        </tasks>
        <tasks name="ReachSafety-ControlFlow">
            <includesfile>../sv-benchmarks/c/ReachSafety-ControlFlow.set</includesfile>
            <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
        </tasks>
        <tasks name="ReachSafety-ECA">
            <includesfile>../sv-benchmarks/c/ReachSafety-ECA.set</includesfile>
            <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
        </tasks>
        <tasks name="ReachSafety-Floats">
            <includesfile>../sv-benchmarks/c/ReachSafety-Floats.set</includesfile>
            <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
        </tasks>
        <tasks name="ReachSafety-Heap">
            <includesfile>../sv-benchmarks/c/ReachSafety-Heap.set</includesfile>
            <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
        </tasks>
        <tasks name="ReachSafety-Loops">
            <includesfile>../sv-benchmarks/c/ReachSafety-Loops.set</includesfile>
            <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
        </tasks>
        <tasks name="ReachSafety-ProductLines">
            <includesfile>../sv-benchmarks/c/ReachSafety-ProductLines.set</includesfile>
            <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
        </tasks>
        <tasks name="ReachSafety-Recursive">
            <includesfile>../sv-benchmarks/c/ReachSafety-Recursive.set</includesfile>
            <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
        </tasks>
        <tasks name="ReachSafety-Sequentialized">
            <includesfile>../sv-benchmarks/c/ReachSafety-Sequentialized.set</includesfile>
            <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
        </tasks>
        <tasks name="ReachSafety-XCSP">
            <includesfile>../sv-benchmarks/c/ReachSafety-XCSP.set</includesfile>
            <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
        </tasks>
        <tasks name="ReachSafety-Combinations">
            <includesfile>../sv-benchmarks/c/ReachSafety-Combinations.set</includesfile>
            <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
        </tasks>
        <tasks name="ReachSafety-Hardware">
            <includesfile>../sv-benchmarks/c/ReachSafety-Hardware.set</includesfile>
            <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
        </tasks>

        <tasks name="SoftwareSystems-AWS-C-Common-ReachSafety">
          <includesfile>../sv-benchmarks/c/SoftwareSystems-AWS-C-Common-ReachSafety.set</includesfile>
          <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
        </tasks>
        <tasks name="SoftwareSystems-BusyBox-ReachSafety">
          <includesfile>../sv-benchmarks/c/SoftwareSystems-BusyBox-ReachSafety.set</includesfile>
          <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
        </tasks>
        <tasks name="SoftwareSystems-DeviceDriversLinux64-ReachSafety">
          <includesfile>../sv-benchmarks/c/SoftwareSystems-DeviceDriversLinux64-ReachSafety.set</includesfile>
          <excludesfile>../sv-benchmarks/c/SoftwareSystems-DeviceDriversLinux64Large-ReachSafety.set</excludesfile>
          <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
        </tasks>
        <tasks name="SoftwareSystems-DeviceDriversLinux64Large-ReachSafety">
          <includesfile>../sv-benchmarks/c/SoftwareSystems-DeviceDriversLinux64Large-ReachSafety.set</includesfile>
          <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
        </tasks>
        <tasks name="SoftwareSystems-uthash-ReachSafety">
          <includesfile>../sv-benchmarks/c/SoftwareSystems-uthash-ReachSafety.set</includesfile>
          <propertyfile >../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
        </tasks>
    </rundefinition>

</benchmark>
